Inhalte
Index 🔎︎

# Funktion RGB

Gibt einen ganzzahligen Farbwert vom Typ Long zurück, der aus roten, grünen und blauen Komponenten besteht.

### Syntax:

    RGB (Rot, Grün, Blau)

### Rückgabewert:

Long

### Parameter:

Rot: Ein beliebiger Integerausdruck, der die Rotkomponente (0-255) der zusammengesetzten Farbe angibt.

Grün: Ein beliebiger Integerausdruck, der die Grünkomponente (0-255) der zusammengesetzten Farbe angibt.

Blau: Ein beliebiger Integerausdruck, der die Blaukomponente (0-255) der zusammengesetzten Farbe angibt.

Der resultierende Wert Long wird mit der folgenden Formel berechnet:
Ergebnis = rot×65536 + grün×256 + blau.

Im VBA-Kompatibilitätsmodus (Option VBASupport 1) wird der Wert Long berechnet als
Ergebnis = rot + grün×256 + blau×65536
Siehe VGA-Funktion RGB

Der Dialog Farbauswahl hilft bei der Berechnung der Rot-, Grün- und Blaukomponenten einer zusammengesetzten Farbe. Ändern der Textfarbe und das Auswählen von Benutzerdefinierte Farbe zeigt den Farbauswahldialog an.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

### Beispiel:

    Sub ExampleColor
    Dim lVar As Long
        lVar = rgb(128,0,200)
        MsgBox "Die Farbe " & lVar & " hat die Anteile:" & Chr(13) &_
            "rot= " & red(lVar) & Chr(13)&_
            "grün= " & green(lVar) & Chr(13)&_
            "blau= " & blue(lVar) & Chr(13) , 64,"Farben"
    End Sub